Wednesday, July 29, 2009

Finally installed Perl 6

Tried Pugs - had a difficult time with the development framework required. Rakudo Perl 6 went on pretty smoothly once I added the --gen-parrot parameter to the "perl" command. Made a hello.pl6 program that used Perl 5.10's "say" command (without the usual preface in the code to invoke 5.10 stuff). Yeah, pretty weak. Need to look at some more interesting examples. (and now I can!)

1 comment:

  1. say was actually "backported" from p6 to 5.10, so really when you use perl 5.10's say command you are using perl 6's :-)